---
title: Helm
description: Helm Collector Plugin
---

import Plugin from '@site/src/components/Plugins';

Collects Helm charts.

<Plugin transferTag="hoppr.core_plugins.collect_helm_plugin">
{
`  process_timeout: 60
`
}
</Plugin>

### Configuration Options

| Option          | Details                                                     |
| --------------- | -------------------------------------------------------------|
| helm_command    | String.  Defaults to `helm`.  Command to be used to execute helm commands.  May be overridden with another command that uses the same syntax, or a fully qualified path if `helm` is not on the default `$PATH`. |
| process_timeout | Number of seconds to attempt collect before timeout.  **Default:** 60 |

:::note[System Dependencies]

Certain Linux distributions may require additional configuration.
See the [installation page](../../../using-hoppr/installation.md#install-helm) for more information.

:::

### Proxy and Certificate Configuration

To configure proxies, set the following environment variables:

| Environment Variable Name | Description
|---------------------------|------------
| `http_proxy`              | Proxy for the HTTP protocol.
| `https_proxy`             | Proxy for the HTTPS protocol.
| `no_proxy`                | Comma-separated list of domains where proxies won't be used.

The Helm Collector plugin does not provide a way to specify certificates.

### Credentials Configuration

To specify credentials, you need a [credentials file](../../tutorials/processing-101.md#credentials).

Sample credentials file:

```yaml
---
schemaVersion: v1
kind: Credentials

metadata:
  name: Registry Credentials
  version: v1
  description: Sample credentials file

credential_required_services:
  - url: registry.gitlab.com
    user_env: CI_REGISTRY_USER
    pass_env: CI_REGISTRY_PASSWORD
```

### SBOM Generation Tools

- [sbom-cli](https://github.com/defenseunicorns/sbom-cli) (cli tool)

:::note
For more tools visit the [CycloneDX Tool Center](https://cyclonedx.org/tool-center/)
:::
